> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Companies

> Retrieve company information associated with your API key.

The Companies endpoint provides information about companies associated with your API key.

## The Company Object

| Property    | Type              | Description                                            |
| ----------- | ----------------- | ------------------------------------------------------ |
| `id`        | string            | Unique identifier for the company                      |
| `legalName` | string            | Official legal name of the company                     |
| `dbaName`   | string (optional) | "Doing business as" name, if different from legal name |

```json theme={null}
{
  "id": "cmb9gajwt00060djycynhgbiv",
  "legalName": "Zamp Technologies, Inc.",
  "dbaName": "Zamp Tax"
}
```

## List Companies

<ParamField query="companyId" type="string">
  The unique Zamp identifier for a given company. This parameter is reserved for Zamp partners. Omit this parameter to request your own company's information.
</ParamField>

### Request

```bash GET /companies theme={null}
curl -G https://api.zamp.com/companies \
  -H "Authorization: Bearer {token}"
```

### Response

```json 200 theme={null}
[
  {
    "id": "cmb9gajwt00060djycynhgbiv",
    "legalName": "Zamp Technologies, Inc.",
    "dbaName": "Zamp Tax"
  }
]
```
